3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php function foo() { try { throw new Exception("ex1"); } finally { bar(); } } function bar() { try { throw new Exception("ex2"); } catch (Exception $e) { echo "caught exception in finally block: $e ....\n"; } echo "end of finally.\n"; } try { foo(); echo "this should not get executed.\n"; } catch (Exception $e) { echo "caught exception from foo() call: $e ....\n"; } echo "all done.\n";
Output for 7.0.0 - 7.1.7, 7.2.0
caught exception in finally block: Exception: ex2 in /in/AkF06:13 Stack trace: #0 /in/AkF06(7): bar() #1 /in/AkF06(21): foo() #2 {main} .... end of finally. caught exception from foo() call: Exception: ex1 in /in/AkF06:5 Stack trace: #0 /in/AkF06(21): foo() #1 {main} .... all done.
Output for 7.1.10

Process exited with code 137.
Output for 5.6.7 - 5.6.28
caught exception in finally block: exception 'Exception' with message 'ex2' in /in/AkF06:13 Stack trace: #0 /in/AkF06(7): bar() #1 /in/AkF06(21): foo() #2 {main} .... end of finally. caught exception from foo() call: exception 'Exception' with message 'ex1' in /in/AkF06:5 Stack trace: #0 /in/AkF06(21): foo() #1 {main} .... all done.
Output for 5.5.24 - 5.5.35
caught exception in finally block: exception 'Exception' with message 'ex1' in /in/AkF06:5 Stack trace: #0 /in/AkF06(21): foo() #1 {main} Next exception 'Exception' with message 'ex2' in /in/AkF06:13 Stack trace: #0 /in/AkF06(7): bar() #1 /in/AkF06(21): foo() #2 {main} .... end of finally. this should not get executed. all done.
Output for 5.4.2 - 5.4.45
Parse error: syntax error, unexpected 'finally' (T_STRING), expecting catch (T_CATCH) in /in/AkF06 on line 6
Process exited with code 255.
Output for 5.3.17 - 5.3.29
Parse error: syntax error, unexpected T_STRING, expecting T_CATCH in /in/AkF06 on line 6
Process exited with code 255.